# Splunk Local Testing Environment

A Docker Compose setup for running a local Splunk instance for testing and development purposes.

## Quick Start

1. Start Splunk:
   ```bash
   docker-compose up -d
   ```

2. Access Splunk Web UI:
   - URL: http://localhost:8000
   - Username: admin
   - Password: admin123

3. Stop Splunk:
   ```bash
   docker-compose down
   ```

## Services

### Splunk Enterprise
- **Web UI**: http://localhost:8000
- **HEC Endpoint**: http://localhost:8088
- **Management Port**: 8089
- **Splunk2Splunk**: 9997
- **Syslog**: 514/udp

### Universal Forwarder (Optional)
To enable the Universal Forwarder for testing log forwarding:
```bash
docker-compose --profile forwarder up -d
```

## Configuration

- Default credentials: admin/admin123
- HEC Token: 00000000-0000-0000-0000-000000000000
- Configuration files: `./config/`
- Log directory: `./logs/`

## Data Persistence

Splunk data is persisted in Docker volumes:
- `splunk_etc`: Splunk configuration
- `splunk_var`: Splunk data and logs

To reset all data:
```bash
docker-compose down -v
```